# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.batch
Class BatchInterruptedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gdata.util.ServiceException
                  com.google.gdata.client.batch.BatchInterruptedException

All Implemented Interfaces:
  java.io.Serializable

    public class BatchInterruptedException

extends ServiceException

Exception thrown by the client when an entry with a `<batch:interrupted>` tag has been detected.

See Also:
  Serialized Form

Constructor Summary
`BatchInterruptedException(IFeed feed, IBatchInterrupted interrupted)` Creates a BatchInterrupted exception.

Method Summary
`BatchInterrupted` `getBatchInterrupted()` Deprecated. Use `getIBatchInterrupted()` instead.
`BaseFeed<?,?>` `getFeed()` Deprecated. Use `getIFeed()` instead.
`IBatchInterrupted` `getIBatchInterrupted()` Gets the `<batch:interrupted>` tag that describes what went wrong.
`IFeed` `getIFeed()`

Methods inherited from class com.google.gdata.util.ServiceException

`addSibling, getCodeName, getDebugInfo, getDomainName, getExtendedHelp, getHttpErrorCodeOverride, getHttpHeader, getHttpHeaders, getInternalReason, getLocation, getLocationType, getMessage, getOAuthProxyResponse, getResponseBody, getResponseContentType, getSendReport, getSiblings, hasOAuthProxyResponse, initCause, matches, matchesAny, setCode, setDebugInfo, setDomain, setExtendedHelp, setHeaderLocation, setHttpErrorCodeOverride, setInternalReason, setLocation, setResponse, setResponseBody, setResponseContentType, setSendReport, setXpathLocation, toString, toXmlErrorMessage, toXmlErrorMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BatchInterruptedException

    public BatchInterruptedException(IFeed feed,
                                     IBatchInterrupted interrupted)

  Creates a BatchInterrupted exception.

  Parameters:
    `feed` -
    `interrupted` -

Method Detail

### getBatchInterrupted

    @Deprecated
    public BatchInterrupted getBatchInterrupted()

  Deprecated. Use `getIBatchInterrupted()` instead.

  Gets the `<batch:interrupted>` tag that describes what went wrong.

  Returns:
    BatchInterrupted object

### getIBatchInterrupted

    public IBatchInterrupted getIBatchInterrupted()

  Gets the `<batch:interrupted>` tag that describes what went wrong.

  Returns:
    BatchInterrupted object

### getFeed

    @Deprecated
    public BaseFeed<?,?> getFeed()

  Deprecated. Use `getIFeed()` instead.

  Gets the interrupted feed, which might contain reports of successful operations. The last entry on the feed is always the entry that contains the `BatchInterrupted` object.

  Returns:
    the feed

### getIFeed

    public IFeed getIFeed()